org.keycloak.models.delegate

## Class ClientModelLazyDelegate

- java.lang.Object
- - org.keycloak.models.delegate.ClientModelLazyDelegate

- All Implemented Interfaces:
    ClientModel, ClientScopeModel, OrderedModel, ProtocolMapperContainerModel, RoleContainerModel, ScopeContainerModel
  Direct Known Subclasses:
    ClientModelLazyDelegate.WithId

      public class ClientModelLazyDelegate
      extends Object
      implements ClientModel

  Author:
    hmlnarik

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClientModelLazyDelegate.WithId`

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.ClientModel

      `ClientModel.ClientCreationEvent, ClientModel.ClientProtocolUpdatedEvent, ClientModel.ClientRemovedEvent, ClientModel.ClientUpdatedEvent, ClientModel.SearchableFields`

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.ClientScopeModel

      `ClientScopeModel.ClientScopeRemovedEvent`

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.OrderedModel

      `OrderedModel.OrderedModelComparator<OM extends OrderedModel>`

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.RoleContainerModel

      `RoleContainerModel.RoleRemovedEvent`

  - ### Field Summary

    - ### Fields inherited from interface org.keycloak.models.ClientModel

      `PRIVATE_KEY, PUBLIC_KEY, X509CERTIFICATE`

    - ### Fields inherited from interface org.keycloak.models.ClientScopeModel

      `CONSENT_SCREEN_TEXT, DISPLAY_ON_CONSENT_SCREEN, GUI_ORDER, INCLUDE_IN_TOKEN_SCOPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientModelLazyDelegate(Supplier<ClientModel> delegateSupplier)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientScope(ClientScopeModel clientScope, boolean defaultScope)` Add clientScope with this client.
    `void` | `addClientScopes(Set<ClientScopeModel> clientScopes, boolean defaultScope)` Add clientScopes with this client.
    `void` | `addDefaultRole(String name)`
    `ProtocolMapperModel` | `addProtocolMapper(ProtocolMapperModel model)`
    `void` | `addRedirectUri(String redirectUri)`
    `RoleModel` | `addRole(String name)`
    `RoleModel` | `addRole(String id, String name)`
    `void` | `addScopeMapping(RoleModel role)`
    `void` | `addWebOrigin(String webOrigin)`
    `void` | `deleteScopeMapping(RoleModel role)`
    `String` | `getAttribute(String name)`
    `Map<String,String>` | `getAttributes()`
    `String` | `getAuthenticationFlowBindingOverride(String binding)` Get authentication flow binding override for this client.
    `Map<String,String>` | `getAuthenticationFlowBindingOverrides()`
    `String` | `getBaseUrl()`
    `String` | `getClientAuthenticatorType()`
    `String` | `getClientId()` Returns client ID as defined by the user.
    `Map<String,ClientScopeModel>` | `getClientScopes(boolean defaultScope)` Return all default scopes (if 'defaultScope' is true) or all optional scopes (if 'defaultScope' is false) linked with this client
    `String` | `getConsentScreenText()`
    `List<String>` | `getDefaultRoles()`
    `Stream<String>` | `getDefaultRolesStream()`
    `String` | `getDescription()`
    `ClientScopeModel` | `getDynamicClientScope(String scope)` Returns a `ClientScopeModel` associated with this client.
    `String` | `getGuiOrder()`
    `String` | `getId()` Returns client internal ID (UUID).
    `String` | `getManagementUrl()`
    `String` | `getName()`
    `int` | `getNodeReRegistrationTimeout()`
    `int` | `getNotBefore()` Time in seconds since epoc
    `String` | `getProtocol()`
    `ProtocolMapperModel` | `getProtocolMapperById(String id)`
    `ProtocolMapperModel` | `getProtocolMapperByName(String protocol, String name)`
    `Set<ProtocolMapperModel>` | `getProtocolMappers()`
    `Stream<ProtocolMapperModel>` | `getProtocolMappersStream()` Returns protocol mappers as a stream.
    `RealmModel` | `getRealm()`
    `Set<RoleModel>` | `getRealmScopeMappings()` From the scope mappings returned by `ScopeContainerModel.getScopeMappings()` returns only those that belong to the realm that owns this scope container.
    `Stream<RoleModel>` | `getRealmScopeMappingsStream()` From the scope mappings returned by `ScopeContainerModel.getScopeMappingsStream()` returns only those that belong to the realm that owns this scope container.
    `Set<String>` | `getRedirectUris()`
    `Map<String,Integer>` | `getRegisteredNodes()`
    `String` | `getRegistrationToken()`
    `RoleModel` | `getRole(String name)`
    `Set<RoleModel>` | `getRoles()`
    `Set<RoleModel>` | `getRoles(Integer firstResult, Integer maxResults)`
    `Stream<RoleModel>` | `getRolesStream()` Returns available roles as a stream.
    `Stream<RoleModel>` | `getRolesStream(Integer firstResult, Integer maxResults)` Returns available roles as a stream.
    `String` | `getRootUrl()`
    `Set<RoleModel>` | `getScopeMappings()`
    `Stream<RoleModel>` | `getScopeMappingsStream()` Returns scope mappings for this scope container as a stream.
    `String` | `getSecret()`
    `Set<String>` | `getWebOrigins()`
    `boolean` | `hasScope(RoleModel role)`
    `boolean` | `isAlwaysDisplayInConsole()`
    `boolean` | `isBearerOnly()`
    `boolean` | `isConsentRequired()`
    `boolean` | `isDirectAccessGrantsEnabled()`
    `boolean` | `isDisplayOnConsentScreen()`
    `boolean` | `isEnabled()`
    `boolean` | `isFrontchannelLogout()`
    `boolean` | `isFullScopeAllowed()`
    `boolean` | `isImplicitFlowEnabled()`
    `boolean` | `isIncludeInTokenScope()`
    `boolean` | `isPublicClient()`
    `boolean` | `isServiceAccountsEnabled()`
    `boolean` | `isStandardFlowEnabled()`
    `boolean` | `isSurrogateAuthRequired()`
    `void` | `registerNode(String nodeHost, int registrationTime)` Register node or just update the 'lastReRegistration' time if this node is already registered
    `void` | `removeAttribute(String name)`
    `void` | `removeAuthenticationFlowBindingOverride(String binding)`
    `void` | `removeClientScope(ClientScopeModel clientScope)`
    `void` | `removeDefaultRoles(String... defaultRoles)`
    `void` | `removeProtocolMapper(ProtocolMapperModel mapping)`
    `void` | `removeRedirectUri(String redirectUri)`
    `boolean` | `removeRole(RoleModel role)`
    `void` | `removeWebOrigin(String webOrigin)`
    `Set<RoleModel>` | `searchForRoles(String search, Integer first, Integer max)`
    `Stream<RoleModel>` | `searchForRolesStream(String search, Integer first, Integer max)` Searches roles by the given name.
    `void` | `setAlwaysDisplayInConsole(boolean alwaysDisplayInConsole)`
    `void` | `setAttribute(String name, String value)`
    `void` | `setAuthenticationFlowBindingOverride(String binding, String flowId)`
    `void` | `setBaseUrl(String url)`
    `void` | `setBearerOnly(boolean only)`
    `void` | `setClientAuthenticatorType(String clientAuthenticatorType)`
    `void` | `setClientId(String clientId)`
    `void` | `setConsentRequired(boolean consentRequired)`
    `void` | `setConsentScreenText(String consentScreenText)`
    `void` | `setDescription(String description)`
    `void` | `setDirectAccessGrantsEnabled(boolean directAccessGrantsEnabled)`
    `void` | `setDisplayOnConsentScreen(boolean displayOnConsentScreen)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setFrontchannelLogout(boolean flag)`
    `void` | `setFullScopeAllowed(boolean value)`
    `void` | `setGuiOrder(String guiOrder)`
    `void` | `setImplicitFlowEnabled(boolean implicitFlowEnabled)`
    `void` | `setIncludeInTokenScope(boolean includeInTokenScope)`
    `void` | `setManagementUrl(String url)`
    `void` | `setName(String name)`
    `void` | `setNodeReRegistrationTimeout(int timeout)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setProtocol(String protocol)`
    `void` | `setPublicClient(boolean flag)`
    `void` | `setRedirectUris(Set<String> redirectUris)`
    `void` | `setRegistrationToken(String registrationToken)`
    `void` | `setRootUrl(String url)`
    `void` | `setSecret(String secret)`
    `void` | `setServiceAccountsEnabled(boolean serviceAccountsEnabled)`
    `void` | `setStandardFlowEnabled(boolean standardFlowEnabled)`
    `void` | `setSurrogateAuthRequired(boolean surrogateAuthRequired)`
    `void` | `setWebOrigins(Set<String> webOrigins)`
    `void` | `unregisterNode(String nodeHost)`
    `void` | `updateClient()` Notifies other providers that this client has been updated.
    `void` | `updateDefaultRoles(String... defaultRoles)`
    `void` | `updateProtocolMapper(ProtocolMapperModel mapping)`
    `boolean` | `validateSecret(String secret)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientModelLazyDelegate

          public ClientModelLazyDelegate(Supplier<ClientModel> delegateSupplier)

  - ### Method Detail

    - #### updateClient

          public void updateClient()

      Description copied from interface: `ClientModel`
      Notifies other providers that this client has been updated.

      After a client is updated, providers can register for `ClientModel.ClientUpdatedEvent`. The setters in this model do not send an update for individual updates of the model. This method is here to allow for sending this event for this client, allowsing for to group multiple changes of a client and signal that all the changes in this client have been performed.

      Specified by:
        `updateClient` in interface `ClientModel`
      See Also:
        `ProviderEvent`, `ProviderEventManager`, `ClientModel.ClientUpdatedEvent`

    - #### getId

          public String getId()

      Description copied from interface: `ClientModel`
      Returns client internal ID (UUID).
      Specified by:
        `getId` in interface `ClientModel`
      Specified by:
        `getId` in interface `ClientScopeModel`
      Specified by:
        `getId` in interface `RoleContainerModel`

    - #### getClientId

          public String getClientId()

      Description copied from interface: `ClientModel`
      Returns client ID as defined by the user.
      Specified by:
        `getClientId` in interface `ClientModel`
      Returns:

    - #### setClientId

          public void setClientId(String clientId)

      Specified by:
        `setClientId` in interface `ClientModel`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `ClientModel`
      Specified by:
        `getName` in interface `ClientScopeModel`

    - #### setName

          public void setName(String name)

      Specified by:
        `setName` in interface `ClientModel`
      Specified by:
        `setName` in interface `ClientScopeModel`

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `ClientModel`
      Specified by:
        `getDescription` in interface `ClientScopeModel`

    - #### setDescription

          public void setDescription(String description)

      Specified by:
        `setDescription` in interface `ClientModel`
      Specified by:
        `setDescription` in interface `ClientScopeModel`

    - #### isEnabled

          public boolean isEnabled()

      Specified by:
        `isEnabled` in interface `ClientModel`

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Specified by:
        `setEnabled` in interface `ClientModel`

    - #### isAlwaysDisplayInConsole

          public boolean isAlwaysDisplayInConsole()

      Specified by:
        `isAlwaysDisplayInConsole` in interface `ClientModel`

    - #### setAlwaysDisplayInConsole

          public void setAlwaysDisplayInConsole(boolean alwaysDisplayInConsole)

      Specified by:
        `setAlwaysDisplayInConsole` in interface `ClientModel`

    - #### isSurrogateAuthRequired

          public boolean isSurrogateAuthRequired()

      Specified by:
        `isSurrogateAuthRequired` in interface `ClientModel`

    - #### setSurrogateAuthRequired

          public void setSurrogateAuthRequired(boolean surrogateAuthRequired)

      Specified by:
        `setSurrogateAuthRequired` in interface `ClientModel`

    - #### getWebOrigins

          public Set<String> getWebOrigins()

      Specified by:
        `getWebOrigins` in interface `ClientModel`

    - #### setWebOrigins

          public void setWebOrigins(Set<String> webOrigins)

      Specified by:
        `setWebOrigins` in interface `ClientModel`

    - #### addWebOrigin

          public void addWebOrigin(String webOrigin)

      Specified by:
        `addWebOrigin` in interface `ClientModel`

    - #### removeWebOrigin

          public void removeWebOrigin(String webOrigin)

      Specified by:
        `removeWebOrigin` in interface `ClientModel`

    - #### getRedirectUris

          public Set<String> getRedirectUris()

      Specified by:
        `getRedirectUris` in interface `ClientModel`

    - #### setRedirectUris

          public void setRedirectUris(Set<String> redirectUris)

      Specified by:
        `setRedirectUris` in interface `ClientModel`

    - #### addRedirectUri

          public void addRedirectUri(String redirectUri)

      Specified by:
        `addRedirectUri` in interface `ClientModel`

    - #### removeRedirectUri

          public void removeRedirectUri(String redirectUri)

      Specified by:
        `removeRedirectUri` in interface `ClientModel`

    - #### getManagementUrl

          public String getManagementUrl()

      Specified by:
        `getManagementUrl` in interface `ClientModel`

    - #### setManagementUrl

          public void setManagementUrl(String url)

      Specified by:
        `setManagementUrl` in interface `ClientModel`

    - #### getRootUrl

          public String getRootUrl()

      Specified by:
        `getRootUrl` in interface `ClientModel`

    - #### setRootUrl

          public void setRootUrl(String url)

      Specified by:
        `setRootUrl` in interface `ClientModel`

    - #### getBaseUrl

          public String getBaseUrl()

      Specified by:
        `getBaseUrl` in interface `ClientModel`

    - #### setBaseUrl

          public void setBaseUrl(String url)

      Specified by:
        `setBaseUrl` in interface `ClientModel`

    - #### isBearerOnly

          public boolean isBearerOnly()

      Specified by:
        `isBearerOnly` in interface `ClientModel`

    - #### setBearerOnly

          public void setBearerOnly(boolean only)

      Specified by:
        `setBearerOnly` in interface `ClientModel`

    - #### getNodeReRegistrationTimeout

          public int getNodeReRegistrationTimeout()

      Specified by:
        `getNodeReRegistrationTimeout` in interface `ClientModel`

    - #### setNodeReRegistrationTimeout

          public void setNodeReRegistrationTimeout(int timeout)

      Specified by:
        `setNodeReRegistrationTimeout` in interface `ClientModel`

    - #### getClientAuthenticatorType

          public String getClientAuthenticatorType()

      Specified by:
        `getClientAuthenticatorType` in interface `ClientModel`

    - #### setClientAuthenticatorType

          public void setClientAuthenticatorType(String clientAuthenticatorType)

      Specified by:
        `setClientAuthenticatorType` in interface `ClientModel`

    - #### validateSecret

          public boolean validateSecret(String secret)

      Specified by:
        `validateSecret` in interface `ClientModel`

    - #### getSecret

          public String getSecret()

      Specified by:
        `getSecret` in interface `ClientModel`

    - #### setSecret

          public void setSecret(String secret)

      Specified by:
        `setSecret` in interface `ClientModel`

    - #### getRegistrationToken

          public String getRegistrationToken()

      Specified by:
        `getRegistrationToken` in interface `ClientModel`

    - #### setRegistrationToken

          public void setRegistrationToken(String registrationToken)

      Specified by:
        `setRegistrationToken` in interface `ClientModel`

    - #### getProtocol

          public String getProtocol()

      Specified by:
        `getProtocol` in interface `ClientModel`
      Specified by:
        `getProtocol` in interface `ClientScopeModel`

    - #### setProtocol

          public void setProtocol(String protocol)

      Specified by:
        `setProtocol` in interface `ClientModel`
      Specified by:
        `setProtocol` in interface `ClientScopeModel`

    - #### setAttribute

          public void setAttribute(String name,
                                   String value)

      Specified by:
        `setAttribute` in interface `ClientModel`
      Specified by:
        `setAttribute` in interface `ClientScopeModel`

    - #### removeAttribute

          public void removeAttribute(String name)

      Specified by:
        `removeAttribute` in interface `ClientModel`
      Specified by:
        `removeAttribute` in interface `ClientScopeModel`

    - #### getAttribute

          public String getAttribute(String name)

      Specified by:
        `getAttribute` in interface `ClientModel`
      Specified by:
        `getAttribute` in interface `ClientScopeModel`

    - #### getAttributes

          public Map<String,String> getAttributes()

      Specified by:
        `getAttributes` in interface `ClientModel`
      Specified by:
        `getAttributes` in interface `ClientScopeModel`

    - #### getAuthenticationFlowBindingOverride

          public String getAuthenticationFlowBindingOverride(String binding)

      Description copied from interface: `ClientModel`
      Get authentication flow binding override for this client. Allows client to override an authentication flow binding.
      Specified by:
        `getAuthenticationFlowBindingOverride` in interface `ClientModel`
      Parameters:
        `binding` - examples are "browser", "direct_grant"
      Returns:

    - #### getAuthenticationFlowBindingOverrides

          public Map<String,String> getAuthenticationFlowBindingOverrides()

      Specified by:
        `getAuthenticationFlowBindingOverrides` in interface `ClientModel`

    - #### removeAuthenticationFlowBindingOverride

          public void removeAuthenticationFlowBindingOverride(String binding)

      Specified by:
        `removeAuthenticationFlowBindingOverride` in interface `ClientModel`

    - #### setAuthenticationFlowBindingOverride

          public void setAuthenticationFlowBindingOverride(String binding,
                                                           String flowId)

      Specified by:
        `setAuthenticationFlowBindingOverride` in interface `ClientModel`

    - #### isFrontchannelLogout

          public boolean isFrontchannelLogout()

      Specified by:
        `isFrontchannelLogout` in interface `ClientModel`

    - #### setFrontchannelLogout

          public void setFrontchannelLogout(boolean flag)

      Specified by:
        `setFrontchannelLogout` in interface `ClientModel`

    - #### isFullScopeAllowed

          public boolean isFullScopeAllowed()

      Specified by:
        `isFullScopeAllowed` in interface `ClientModel`

    - #### setFullScopeAllowed

          public void setFullScopeAllowed(boolean value)

      Specified by:
        `setFullScopeAllowed` in interface `ClientModel`

    - #### isPublicClient

          public boolean isPublicClient()

      Specified by:
        `isPublicClient` in interface `ClientModel`

    - #### setPublicClient

          public void setPublicClient(boolean flag)

      Specified by:
        `setPublicClient` in interface `ClientModel`

    - #### isConsentRequired

          public boolean isConsentRequired()

      Specified by:
        `isConsentRequired` in interface `ClientModel`

    - #### setConsentRequired

          public void setConsentRequired(boolean consentRequired)

      Specified by:
        `setConsentRequired` in interface `ClientModel`

    - #### isStandardFlowEnabled

          public boolean isStandardFlowEnabled()

      Specified by:
        `isStandardFlowEnabled` in interface `ClientModel`

    - #### setStandardFlowEnabled

          public void setStandardFlowEnabled(boolean standardFlowEnabled)

      Specified by:
        `setStandardFlowEnabled` in interface `ClientModel`

    - #### isImplicitFlowEnabled

          public boolean isImplicitFlowEnabled()

      Specified by:
        `isImplicitFlowEnabled` in interface `ClientModel`

    - #### setImplicitFlowEnabled

          public void setImplicitFlowEnabled(boolean implicitFlowEnabled)

      Specified by:
        `setImplicitFlowEnabled` in interface `ClientModel`

    - #### isDirectAccessGrantsEnabled

          public boolean isDirectAccessGrantsEnabled()

      Specified by:
        `isDirectAccessGrantsEnabled` in interface `ClientModel`

    - #### setDirectAccessGrantsEnabled

          public void setDirectAccessGrantsEnabled(boolean directAccessGrantsEnabled)

      Specified by:
        `setDirectAccessGrantsEnabled` in interface `ClientModel`

    - #### isServiceAccountsEnabled

          public boolean isServiceAccountsEnabled()

      Specified by:
        `isServiceAccountsEnabled` in interface `ClientModel`

    - #### setServiceAccountsEnabled

          public void setServiceAccountsEnabled(boolean serviceAccountsEnabled)

      Specified by:
        `setServiceAccountsEnabled` in interface `ClientModel`

    - #### getRealm

          public RealmModel getRealm()

      Specified by:
        `getRealm` in interface `ClientModel`
      Specified by:
        `getRealm` in interface `ClientScopeModel`

    - #### addClientScope

          public void addClientScope(ClientScopeModel clientScope,
                                     boolean defaultScope)

      Description copied from interface: `ClientModel`
      Add clientScope with this client. Add it as default scope (if parameter 'defaultScope' is true) or optional scope (if parameter 'defaultScope' is false)
      Specified by:
        `addClientScope` in interface `ClientModel`

    - #### addClientScopes

          public void addClientScopes(Set<ClientScopeModel> clientScopes,
                                      boolean defaultScope)

      Description copied from interface: `ClientModel`
      Add clientScopes with this client. Add as default scopes (if parameter 'defaultScope' is true) or optional scopes (if parameter 'defaultScope' is false)
      Specified by:
        `addClientScopes` in interface `ClientModel`

    - #### removeClientScope

          public void removeClientScope(ClientScopeModel clientScope)

      Specified by:
        `removeClientScope` in interface `ClientModel`

    - #### getClientScopes

          public Map<String,ClientScopeModel> getClientScopes(boolean defaultScope)

      Description copied from interface: `ClientModel`
      Return all default scopes (if 'defaultScope' is true) or all optional scopes (if 'defaultScope' is false) linked with this client
      Specified by:
        `getClientScopes` in interface `ClientModel`
      Returns:
        map where key is the name of the clientScope, value is particular clientScope. Returns empty map if no scopes linked (never returns null).

    - #### getDynamicClientScope

          public ClientScopeModel getDynamicClientScope(String scope)

      Description copied from interface: `ClientModel`

      Returns a `ClientScopeModel` associated with this client.

      This method is used as a fallback in order to let clients to resolve a `scope` dynamically which is not listed as default or optional scope when calling `#getClientScopes(boolean, boolean)`.

      Specified by:
        `getDynamicClientScope` in interface `ClientModel`
      Parameters:
        `scope` - the scope name
      Returns:
        the client scope

    - #### getNotBefore

          public int getNotBefore()

      Description copied from interface: `ClientModel`
      Time in seconds since epoc
      Specified by:
        `getNotBefore` in interface `ClientModel`
      Returns:

    - #### setNotBefore

          public void setNotBefore(int notBefore)

      Specified by:
        `setNotBefore` in interface `ClientModel`

    - #### getRegisteredNodes

          public Map<String,Integer> getRegisteredNodes()

      Specified by:
        `getRegisteredNodes` in interface `ClientModel`

    - #### registerNode

          public void registerNode(String nodeHost,
                                   int registrationTime)

      Description copied from interface: `ClientModel`
      Register node or just update the 'lastReRegistration' time if this node is already registered
      Specified by:
        `registerNode` in interface `ClientModel`

    - #### unregisterNode

          public void unregisterNode(String nodeHost)

      Specified by:
        `unregisterNode` in interface `ClientModel`

    - #### isDisplayOnConsentScreen

          public boolean isDisplayOnConsentScreen()

      Specified by:
        `isDisplayOnConsentScreen` in interface `ClientModel`
      Specified by:
        `isDisplayOnConsentScreen` in interface `ClientScopeModel`

    - #### getConsentScreenText

          public String getConsentScreenText()

      Specified by:
        `getConsentScreenText` in interface `ClientModel`
      Specified by:
        `getConsentScreenText` in interface `ClientScopeModel`

    - #### setDisplayOnConsentScreen

          public void setDisplayOnConsentScreen(boolean displayOnConsentScreen)

      Specified by:
        `setDisplayOnConsentScreen` in interface `ClientScopeModel`

    - #### setConsentScreenText

          public void setConsentScreenText(String consentScreenText)

      Specified by:
        `setConsentScreenText` in interface `ClientScopeModel`

    - #### getGuiOrder

          public String getGuiOrder()

      Specified by:
        `getGuiOrder` in interface `ClientScopeModel`
      Specified by:
        `getGuiOrder` in interface `OrderedModel`

    - #### setGuiOrder

          public void setGuiOrder(String guiOrder)

      Specified by:
        `setGuiOrder` in interface `ClientScopeModel`

    - #### isIncludeInTokenScope

          public boolean isIncludeInTokenScope()

      Specified by:
        `isIncludeInTokenScope` in interface `ClientScopeModel`

    - #### setIncludeInTokenScope

          public void setIncludeInTokenScope(boolean includeInTokenScope)

      Specified by:
        `setIncludeInTokenScope` in interface `ClientScopeModel`

    - #### getScopeMappings

          public Set<RoleModel> getScopeMappings()

      Specified by:
        `getScopeMappings` in interface `ScopeContainerModel`

    - #### getScopeMappingsStream

          public Stream<RoleModel> getScopeMappingsStream()

      Description copied from interface: `ScopeContainerModel`
      Returns scope mappings for this scope container as a stream.
      Specified by:
        `getScopeMappingsStream` in interface `ScopeContainerModel`
      Returns:
        Stream of `RoleModel`. Never returns `null`.

    - #### getRealmScopeMappings

          public Set<RoleModel> getRealmScopeMappings()

      Description copied from interface: `ScopeContainerModel`
      From the scope mappings returned by `ScopeContainerModel.getScopeMappings()` returns only those that belong to the realm that owns this scope container.
      Specified by:
        `getRealmScopeMappings` in interface `ScopeContainerModel`
      Returns:
        set of `RealmModel`

    - #### getRealmScopeMappingsStream

          public Stream<RoleModel> getRealmScopeMappingsStream()

      Description copied from interface: `ScopeContainerModel`
      From the scope mappings returned by `ScopeContainerModel.getScopeMappingsStream()` returns only those that belong to the realm that owns this scope container.
      Specified by:
        `getRealmScopeMappingsStream` in interface `ScopeContainerModel`
      Returns:
        stream of `RoleModel`. Never returns `null`.

    - #### addScopeMapping

          public void addScopeMapping(RoleModel role)

      Specified by:
        `addScopeMapping` in interface `ScopeContainerModel`

    - #### deleteScopeMapping

          public void deleteScopeMapping(RoleModel role)

      Specified by:
        `deleteScopeMapping` in interface `ScopeContainerModel`

    - #### hasScope

          public boolean hasScope(RoleModel role)

      Specified by:
        `hasScope` in interface `ScopeContainerModel`

    - #### getRole

          public RoleModel getRole(String name)

      Specified by:
        `getRole` in interface `RoleContainerModel`

    - #### addRole

          public RoleModel addRole(String name)

      Specified by:
        `addRole` in interface `RoleContainerModel`

    - #### addRole

          public RoleModel addRole(String id,
                                   String name)

      Specified by:
        `addRole` in interface `RoleContainerModel`

    - #### removeRole

          public boolean removeRole(RoleModel role)

      Specified by:
        `removeRole` in interface `RoleContainerModel`

    - #### getRoles

          public Set<RoleModel> getRoles()

      Specified by:
        `getRoles` in interface `RoleContainerModel`

    - #### getRolesStream

          public Stream<RoleModel> getRolesStream()

      Description copied from interface: `RoleContainerModel`
      Returns available roles as a stream.
      Specified by:
        `getRolesStream` in interface `RoleContainerModel`
      Returns:
        Stream of `RoleModel`. Never returns `null`.

    - #### getRoles

          public Set<RoleModel> getRoles(Integer firstResult,
                                         Integer maxResults)

      Specified by:
        `getRoles` in interface `RoleContainerModel`

    - #### getRolesStream

          public Stream<RoleModel> getRolesStream(Integer firstResult,
                                                  Integer maxResults)

      Description copied from interface: `RoleContainerModel`
      Returns available roles as a stream.
      Specified by:
        `getRolesStream` in interface `RoleContainerModel`
      Parameters:
        `firstResult` - `Integer` Index of the first desired role. Ignored if negative or `null`.
        `maxResults` - `Integer` Maximum number of returned roles. Ignored if negative or `null`.
      Returns:
        Stream of `RoleModel`. Never returns `null`.

    - #### searchForRoles

          public Set<RoleModel> searchForRoles(String search,
                                               Integer first,
                                               Integer max)

      Specified by:
        `searchForRoles` in interface `RoleContainerModel`

    - #### searchForRolesStream

          public Stream<RoleModel> searchForRolesStream(String search,
                                                        Integer first,
                                                        Integer max)

      Description copied from interface: `RoleContainerModel`
      Searches roles by the given name. Returns all roles that match the given filter.
      Specified by:
        `searchForRolesStream` in interface `RoleContainerModel`
      Parameters:
        `search` - `String` Name of the role to be used as a filter.
        `first` - `Integer` Index of the first desired role. Ignored if negative or `null`.
        `max` - `Integer` Maximum number of returned roles. Ignored if negative or `null`.
      Returns:
        Stream of `RoleModel`. Never returns `null`.

    - #### getDefaultRoles

          public List<String> getDefaultRoles()

      Specified by:
        `getDefaultRoles` in interface `RoleContainerModel`
      Returns:
        List of default roles names or empty list if there are none. Never returns `null`.

    - #### getDefaultRolesStream

          public Stream<String> getDefaultRolesStream()

      Specified by:
        `getDefaultRolesStream` in interface `RoleContainerModel`
      Returns:
        Stream of default roles names or empty stream if there are none. Never returns `null`.

    - #### addDefaultRole

          public void addDefaultRole(String name)

      Specified by:
        `addDefaultRole` in interface `RoleContainerModel`

    - #### updateDefaultRoles

          public void updateDefaultRoles(String... defaultRoles)

      Specified by:
        `updateDefaultRoles` in interface `RoleContainerModel`

    - #### removeDefaultRoles

          public void removeDefaultRoles(String... defaultRoles)

      Specified by:
        `removeDefaultRoles` in interface `RoleContainerModel`

    - #### getProtocolMappers

          public Set<ProtocolMapperModel> getProtocolMappers()

      Specified by:
        `getProtocolMappers` in interface `ProtocolMapperContainerModel`
      Returns:
        Set of protocol mappers

    - #### getProtocolMappersStream

          public Stream<ProtocolMapperModel> getProtocolMappersStream()

      Description copied from interface: `ProtocolMapperContainerModel`
      Returns protocol mappers as a stream.
      Specified by:
        `getProtocolMappersStream` in interface `ProtocolMapperContainerModel`
      Returns:
        Stream of protocol mapper. Never returns `null`.

    - #### addProtocolMapper

          public ProtocolMapperModel addProtocolMapper(ProtocolMapperModel model)

      Specified by:
        `addProtocolMapper` in interface `ProtocolMapperContainerModel`

    - #### removeProtocolMapper

          public void removeProtocolMapper(ProtocolMapperModel mapping)

      Specified by:
        `removeProtocolMapper` in interface `ProtocolMapperContainerModel`

    - #### updateProtocolMapper

          public void updateProtocolMapper(ProtocolMapperModel mapping)

      Specified by:
        `updateProtocolMapper` in interface `ProtocolMapperContainerModel`

    - #### getProtocolMapperById

          public ProtocolMapperModel getProtocolMapperById(String id)

      Specified by:
        `getProtocolMapperById` in interface `ProtocolMapperContainerModel`

    - #### getProtocolMapperByName

          public ProtocolMapperModel getProtocolMapperByName(String protocol,
                                                             String name)

      Specified by:
        `getProtocolMapperByName` in interface `ProtocolMapperContainerModel`

Copyright © 2021 JBoss by Red Hat. All rights reserved.